/*
 * RealWear Development Software, Source Code and Object Code.
 * (c) RealWear, Inc. All rights reserved.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Contact info@realwear.com for further information about the use of this code.
 */

package com.realwear.documentviewer.fragment;

import com.realwear.documentviewer.memory.PDFSearchHandler;

public interface IDocumentController {
    /**
     * Show the current document.
     */
    void showDocument();

    /**
     * Go to the page number indicated.
     *
     * @param pageNumber Zero starting page number.
     */
    void gotoPage(int pageNumber);

    /**
     * Clear all stored search results.
     */
    void clearSearchResults();

    /**
     * Add to the stored search results.
     *
     * @param searchResult The search result to add.
     */
    void addToSearchResults(PDFSearchHandler.SearchResult searchResult);
}
