/*
 * RealWear Development Software, Source Code and Object Code.
 * (c) RealWear, Inc. All rights reserved.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Contact info@realwear.com for further information about the use of this code.
 */

package com.realwear.documentviewer.object;

public class Bookmark {
    private String mDateMod;
    private int mId;
    private int mBookNumber;
    private String mDocumentLocation;

    public Bookmark(int pageNumber, String documentLocation, String dateMod) {
        mDocumentLocation = documentLocation;
        mBookNumber = pageNumber;
        mDateMod = dateMod;
    }

    public Bookmark(int index, int pageNumber, String documentLocation, String dateMod) {
        mId = index;
        mDocumentLocation = documentLocation;
        mBookNumber = pageNumber;
        mDateMod = dateMod;
    }

    public int getId() {
        return mId;
    }

    public int getBookmarkNumber() {
        return mBookNumber;
    }

    public String getDocumentLocation() {
        return mDocumentLocation;
    }

    public String getDateMod() {
        return mDateMod;
    }
}
