/*
 * RealWear Development Software, Source Code and Object Code.
 * (c) RealWear, Inc. All rights reserved.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Contact info@realwear.com for further information about the use of this code.
 */

package com.realwear.documentviewer.views;

import android.content.Context;
import android.util.AttributeSet;

import androidx.annotation.Nullable;

import com.realwear.view.TextButton;
import com.realwear.view.styles.Theme;

public class LowerTextOnlyButton extends TextButton {
    public LowerTextOnlyButton(Context context) {
        super(context);
    }

    public LowerTextOnlyButton(Context context, @Nullable AttributeSet attrs) {
        super(context, attrs);
    }

    public LowerTextOnlyButton(Context context, @Nullable AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
    }

    @Override
    public void handleThemeUpdate(Theme theme) {
        super.handleThemeUpdate(theme);
        setAllCaps(false);
    }
}
