/*
 * RealWear Development Software, Source Code and Object Code.
 * (c) RealWear, Inc. All rights reserved.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Contact info@realwear.com for further information about the use of this code.
 */

package com.realwear.documentviewer.views;

import android.content.Context;
import android.content.res.ColorStateList;
import android.util.AttributeSet;
import android.widget.ProgressBar;

import com.realwear.view.styles.Theme;
import com.realwear.view.styles.ThemeAwareObject;

public class ThemedProgressBar extends ProgressBar implements ThemeAwareObject {
    public ThemedProgressBar(final Context context) {
        super(context);
    }

    public ThemedProgressBar(final Context context, final AttributeSet attrs) {
        super(context, attrs);
    }

    public ThemedProgressBar(final Context context, final AttributeSet attrs, final int defStyleAttr) {
        super(context, attrs, defStyleAttr);
    }

    public ThemedProgressBar(final Context context, final AttributeSet attrs, final int defStyleAttr, final int defStyleRes) {
        super(context, attrs, defStyleAttr, defStyleRes);
    }

    @Override
    public void handleThemeUpdate(final Theme theme) {
        this.setIndeterminateTintList(ColorStateList.valueOf(theme.getColor(Theme.ColorType.ON_BACKGROUND)));
    }
}
